"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Button =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Button, _React$Component);

  function Button() {
    _classCallCheck(this, Button);

    return _possibleConstructorReturn(this, _getPrototypeOf(Button).apply(this, arguments));
  }

  _createClass(Button, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          block = _this$props.block,
          context = _this$props.context,
          disabled = _this$props.disabled,
          outline = _this$props.outline,
          id = _this$props.id,
          onClick = _this$props.onClick,
          size = _this$props.size,
          utilityClasses = _this$props.utilityClasses;
      var cssClasses = 'btn';
      var attributes = {};
      cssClasses += outline ? ' outline-' : ' btn-';

      if (context) {
        cssClasses += ' btn-' + context;
      }

      switch (size) {
        case 'small':
          cssClasses += ' btn-sm';
          break;

        case 'large':
          cssClasses += ' btn-lg';
          break;
      }

      cssClasses += block ? ' btn-block' : '';

      if (disabled) {
        cssClasses += ' disabled';
        attributes['disabled'] = true;
        attributes['aria-disabled'] = true;
      }

      if (utilityClasses) {
        cssClasses += ' ' + utilityClasses;
      }

      if (onClick) {
        attributes = Object.assign({}, attributes, {
          onClick: onClick
        });
      }

      return _react.default.createElement("button", _extends({
        id: 'button-' + id,
        context: "button",
        className: cssClasses,
        onClick: onClick
      }, attributes), this.props.children);
    }
  }]);

  return Button;
}(_react.default.Component);

exports.default = Button;
Button.defaultProps = {
  block: false,
  disabled: false,
  outline: false,
  size: 'medium',
  context: 'light',
  utilityClasses: ''
};
Button.propTypes = {
  block: _propTypes.default.bool,
  children: _propTypes.default.node.isRequired,
  disabled: _propTypes.default.bool,
  id: _propTypes.default.string.isRequired,
  onClick: _propTypes.default.func,
  outline: _propTypes.default.bool,
  size: _propTypes.default.oneOf(['small', 'medium', 'large']),
  context: _propTypes.default.oneOf(['danger', 'dark', 'info', 'light', 'link', 'primary', 'secondary', 'success', 'warning']),
  utilityClasses: _propTypes.default.string
};