"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Card =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Card, _React$Component);

  function Card() {
    _classCallCheck(this, Card);

    return _possibleConstructorReturn(this, _getPrototypeOf(Card).apply(this, arguments));
  }

  _createClass(Card, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          center = _this$props.center,
          children = _this$props.children,
          id = _this$props.id,
          context = _this$props.context,
          width = _this$props.width;
      var attributes = {};
      var cssClass = 'card';

      if (width) {
        attributes['style'] = {};
        attributes['style']['width'] = width;
      }

      if (center) {
        cssClass += ' text-center';
      }

      if ('danger' === context) {
        cssClass += ' text-white bg-danger';
      } else if ('dark' === context) {
        cssClass += ' text-white bg-dark';
      } else if ('info' === context) {
        cssClass += ' text-white bg-info';
      } else if ('light' === context) {
        cssClass += ' bg-light';
      } else if ('primary' === context) {
        cssClass += ' text-white bg-primary';
      } else if ('secondary' === context) {
        cssClass += ' text-white bg-secondary';
      } else if ('success' === context) {
        cssClass += ' text-white bg-success';
      } else if ('warning' === context) {
        cssClass += ' text-white bg-warning';
      }

      return _react.default.createElement("div", _extends({
        id: 'Card-' + id,
        className: cssClass
      }, attributes), children);
    }
  }]);

  return Card;
}(_react.default.Component);

exports.default = Card;
Card.defaultProps = {
  center: false,
  width: ''
};
Card.propTypes = {
  center: _propTypes.default.bool,
  children: _propTypes.default.node.isRequired,
  id: _propTypes.default.string.isRequired,
  context: _propTypes.default.oneOf(['danger', 'dark', 'info', 'light', 'primary', 'secondary', 'success', 'warning']),
  width: _propTypes.default.string
};