"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _Brand = _interopRequireDefault(require("./Brand"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var index =
/*#__PURE__*/
function (_React$Component) {
  _inherits(index, _React$Component);

  function index() {
    _classCallCheck(this, index);

    return _possibleConstructorReturn(this, _getPrototypeOf(index).apply(this, arguments));
  }

  _createClass(index, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          background = _this$props.background,
          brandMessage = _this$props.brandMessage,
          children = _this$props.children,
          id = _this$props.id,
          onBrandClick = _this$props.onBrandClick,
          position = _this$props.position,
          theme = _this$props.theme;
      var className = 'navbar navbar-expand-lg';
      var componentId = "Navbar-".concat(id);

      switch (background) {
        case 'dark':
          className += ' bg-dark';
          break;

        case 'light':
          className += ' bg-light';
          break;

        case 'primary':
          className += ' bg-primary';
          break;
      }

      switch (position) {
        case 'fixed-top':
          className += ' fixed-top';
          break;

        case 'fixed-bottom':
          className += ' fixed-bottom';
          break;

        case 'sticky-top':
          className += ' sticky-top';
          break;
      }

      switch (theme) {
        case 'dark':
          className += ' navbar-dark';
          break;

        case 'light':
          className += ' navbar-light';
      }

      var brand = brandMessage ? _react.default.createElement(_Brand.default, {
        onClick: onBrandClick,
        id: '${componentId}'
      }, brandMessage) : '';
      return _react.default.createElement("nav", {
        id: componentId,
        className: className
      }, brand, _react.default.createElement("div", {
        className: "collapse navbar-collapse"
      }, _react.default.createElement("ul", {
        className: "navbar-nav mr-auto"
      }, children)));
    }
  }]);

  return index;
}(_react.default.Component);

exports.default = index;
index.defaultProps = {
  background: 'light',
  theme: 'light'
};
index.propTypes = {
  background: _propTypes.default.oneOf(['dark', 'light', 'primary']),
  brandMessage: _propTypes.default.string,
  children: _propTypes.default.node,
  id: _propTypes.default.string.isRequired,
  onBrandClick: _propTypes.default.func,
  position: _propTypes.default.oneOf(['fixed-top', 'fixed-bottom', 'sticky-top']),
  theme: _propTypes.default.oneOf(['light', 'dark'])
};