"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var ProgressBar =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ProgressBar, _React$Component);

  function ProgressBar() {
    _classCallCheck(this, ProgressBar);

    return _possibleConstructorReturn(this, _getPrototypeOf(ProgressBar).apply(this, arguments));
  }

  _createClass(ProgressBar, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          animated = _this$props.animated,
          context = _this$props.context,
          height = _this$props.height,
          id = _this$props.id,
          label = _this$props.label,
          min = _this$props.min,
          max = _this$props.max,
          now = _this$props.now,
          striped = _this$props.striped;
      var currentStyle = {
        width: 100 * (now / max) + '%'
      };

      if (height) {
        currentStyle['height'] = height + 'px';
      }

      var className = 'progress-bar';

      if (context) {
        className += ' bg-' + context;
      }

      if (striped) {
        className += ' progress-bar-striped';
      }

      if (striped && animated) {
        className += ' progress-bar-animated';
      } else if (!striped && animated) {
        className += ' progress-bar-striped';
        className += ' progress-bar-animated';
      }

      return _react.default.createElement("div", {
        id: 'ProgressBar-' + id,
        className: className,
        role: 'progressbar',
        "area-valuemax": max,
        "area-valuemin": min,
        "aria-valuenow": now,
        style: currentStyle
      }, label);
    }
  }]);

  return ProgressBar;
}(_react.default.Component);

exports.default = ProgressBar;
ProgressBar.propTypes = {
  animated: _propTypes.default.bool,
  context: _propTypes.default.oneOf(['primary', 'success', 'info', 'warn', 'danger']),
  height: _propTypes.default.number,
  id: _propTypes.default.string.isRequired,
  label: _propTypes.default.string,
  min: _propTypes.default.number.isRequired,
  max: _propTypes.default.number.isRequired,
  now: _propTypes.default.number.isRequired,
  striped: _propTypes.default.bool
};
ProgressBar.defaultProps = {
  animated: false,
  striped: false
};