"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var FormControl =
/*#__PURE__*/
function (_React$Component) {
  _inherits(FormControl, _React$Component);

  function FormControl() {
    _classCallCheck(this, FormControl);

    return _possibleConstructorReturn(this, _getPrototypeOf(FormControl).apply(this, arguments));
  }

  _createClass(FormControl, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          cssClass = _this$props.cssClass,
          disabled = _this$props.disabled,
          id = _this$props.id,
          max = _this$props.max,
          min = _this$props.min,
          onChange = _this$props.onChange,
          placeholder = _this$props.placeholder,
          readOnly = _this$props.readOnly,
          required = _this$props.required,
          size = _this$props.size,
          type = _this$props.type,
          valid = _this$props.valid,
          validated = _this$props.validated,
          value = _this$props.value;
      var componentId = "FormControl-".concat(type, "-").concat(id);
      var className = 'form-control';

      switch (type) {
        case 'range':
          className = 'form-control-range';
          break;

        case 'file':
          className = 'form-control-file';
          break;

        case 'checkbox':
        case 'radio':
          className = 'form-check-input';
          break;
      }

      if (cssClass) {
        className += ' ' + cssClass;
      }

      if (validated) {
        className += valid ? ' is-valid' : ' is-invalid';
      }

      var attributes = {};

      switch (type) {
        case 'button':
        case 'reset':
        case 'search':
        case 'submit':
          attributes['onClick'] = onChange;
          break;

        default:
          attributes['onChange'] = onChange;
      }

      switch (type) {
        case 'checkbox':
          attributes['checked'] = value;
          break;

        case 'range':
          attributes['max'] = max ? max : 100;
          attributes['min'] = min ? min : 0;
          break;
      }

      if ('small' === size) {
        className += ' form-control-sm';
      } else if ('large' === size) {
        className += ' form-control-lg';
      }

      return _react.default.createElement("input", _extends({}, attributes, {
        className: className,
        disabled: disabled,
        id: componentId,
        name: 'id',
        placeholder: placeholder,
        readOnly: readOnly,
        required: required,
        type: type,
        value: value
      }));
    }
  }]);

  return FormControl;
}(_react.default.Component);

exports.default = FormControl;
FormControl.defaultProps = {
  disabled: false,
  readOnly: false,
  required: false,
  size: 'medium'
};
FormControl.propTypes = {
  cssClass: _propTypes.default.string,
  disabled: _propTypes.default.bool,
  id: _propTypes.default.string.isRequired,
  max: _propTypes.default.number,
  min: _propTypes.default.number,
  onChange: _propTypes.default.func.isRequired,
  placeholder: _propTypes.default.string,
  readOnly: _propTypes.default.bool,
  required: _propTypes.default.bool,
  size: _propTypes.default.oneOf(['small', 'medium', 'large']),
  type: _propTypes.default.oneOf(['button', 'checkbox', 'color', 'date', 'datetime-local', 'email', 'file', 'hidden', 'image', 'month', 'number', 'password', 'radio', 'range', 'reset', 'search', 'submit', 'tel', 'text', 'time', 'url', 'week']).isRequired,
  value: _propTypes.default.string.isRequired,
  valid: _propTypes.default.bool,
  validated: _propTypes.default.bool
};