"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var FormGroup =
/*#__PURE__*/
function (_React$Component) {
  _inherits(FormGroup, _React$Component);

  function FormGroup() {
    _classCallCheck(this, FormGroup);

    return _possibleConstructorReturn(this, _getPrototypeOf(FormGroup).apply(this, arguments));
  }

  _createClass(FormGroup, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          id = _this$props.id,
          label = _this$props.label,
          required = _this$props.required,
          valid = _this$props.valid,
          validationMessage = _this$props.validationMessage;
      var cssClasses = 'form-group';
      var validationMessageTag = '';
      var labelTag = '';

      if (validationMessage) {
        validationMessageTag = _react.default.createElement("div", {
          className: valid ? 'valid-feedback' : 'invalid-feedback'
        }, validationMessage);
      }

      var childrenWithProps = this.props.children;

      if (required) {
        childrenWithProps = _react.default.Children.map(this.props.children, function (child) {
          return _react.default.cloneElement(child, {
            required: true
          });
        });
      }

      if (label && required) {
        labelTag = _react.default.createElement("label", {
          id: 'FormGroupLabel-' + id,
          htmlFor: id
        }, label, "\xA0", _react.default.createElement("small", {
          className: "text-danger"
        }, "Required"));
      } else if (label && !required) {
        labelTag = _react.default.createElement("label", {
          id: 'FormGroupLabel-' + id,
          htmlFor: id
        }, label);
      } else if (!label && required) {
        labelTag = _react.default.createElement("label", {
          id: 'FormGroupLabel-' + id,
          htmlFor: id
        }, _react.default.createElement("small", {
          className: "text-danger"
        }, "Required"));
      }

      return _react.default.createElement("div", {
        id: 'FormGroup-' + id,
        className: cssClasses
      }, labelTag, childrenWithProps, validationMessageTag);
    }
  }]);

  return FormGroup;
}(_react.default.Component);

exports.default = FormGroup;
FormGroup.defaultProps = {
  required: false
};
FormGroup.propTypes = {
  children: _propTypes.default.node.isRequired,
  id: _propTypes.default.string.isRequired,
  label: _propTypes.default.string,
  required: _propTypes.default.bool,
  valid: _propTypes.default.bool,
  validationMessage: _propTypes.default.string
};