"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var TextArea =
/*#__PURE__*/
function (_React$Component) {
  _inherits(TextArea, _React$Component);

  function TextArea() {
    _classCallCheck(this, TextArea);

    return _possibleConstructorReturn(this, _getPrototypeOf(TextArea).apply(this, arguments));
  }

  _createClass(TextArea, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          cols = _this$props.cols,
          cssClass = _this$props.cssClass,
          disabled = _this$props.disabled,
          id = _this$props.id,
          maxlength = _this$props.maxlength,
          onChange = _this$props.onChange,
          placeholder = _this$props.placeholder,
          required = _this$props.required,
          rows = _this$props.rows,
          value = _this$props.value;

      if (cssClass) {
        cssClass = 'form-control ' + cssClass;
      } else {
        cssClass = 'form-control';
      }

      return _react.default.createElement("textarea", {
        className: cssClass,
        cols: cols,
        disabled: disabled,
        id: 'form-control-' + id,
        maxLength: maxlength,
        name: 'id',
        onChange: onChange,
        placeholder: placeholder,
        rows: rows,
        required: required
      }, value);
    }
  }]);

  return TextArea;
}(_react.default.Component);

exports.default = TextArea;
TextArea.defaultProps = {
  autofocus: false,
  cols: 80,
  disabled: false,
  maxlength: 1024,
  required: false,
  rows: 20
};
TextArea.propTypes = {
  cols: _propTypes.default.number,
  cssClass: _propTypes.default.string,
  disabled: _propTypes.default.bool,
  id: _propTypes.default.string.isRequired,
  maxlength: _propTypes.default.number,
  onChange: _propTypes.default.func.isRequired,
  placeholder: _propTypes.default.string,
  required: _propTypes.default.bool,
  rows: _propTypes.default.number,
  value: _propTypes.default.string.isRequired
};