"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _AppendAddon = _interopRequireDefault(require("./AppendAddon"));

var _PrependAddon = _interopRequireDefault(require("./PrependAddon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var InputGroup =
/*#__PURE__*/
function (_React$Component) {
  _inherits(InputGroup, _React$Component);

  function InputGroup() {
    _classCallCheck(this, InputGroup);

    return _possibleConstructorReturn(this, _getPrototypeOf(InputGroup).apply(this, arguments));
  }

  _createClass(InputGroup, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          appendText = _this$props.appendText,
          children = _this$props.children,
          id = _this$props.id,
          prependText = _this$props.prependText,
          size = _this$props.size;
      var prependComponent = '';
      var appendComponent = '';

      if (prependText) {
        prependComponent = _react.default.createElement(_PrependAddon.default, {
          id: id
        }, prependText);
      }

      if (appendText) {
        appendComponent = _react.default.createElement(_AppendAddon.default, {
          id: id
        }, appendText);
      }

      var className = 'input-group mb-3';

      switch (size) {
        case 'small':
          className += ' input-group-sm';
          break;

        case 'large':
          className += ' input-group-lg';
          break;
      }

      return _react.default.createElement("div", {
        id: 'InputGroup-' + id,
        className: className
      }, prependComponent, children, appendComponent);
    }
  }]);

  return InputGroup;
}(_react.default.Component);

exports.default = InputGroup;
InputGroup.defaultProps = {
  size: 'medium'
};
InputGroup.propTypes = {
  appendText: _propTypes.default.string,
  children: _propTypes.default.node.isRequired,
  id: _propTypes.default.string.isRequired,
  prependText: _propTypes.default.string,
  size: _propTypes.default.oneOf(['small', 'medium', 'large'])
};