"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _FormGroup = _interopRequireDefault(require("../bootstrap/forms/FormGroup"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var CheckboxFormGroup =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CheckboxFormGroup, _React$Component);

  function CheckboxFormGroup() {
    _classCallCheck(this, CheckboxFormGroup);

    return _possibleConstructorReturn(this, _getPrototypeOf(CheckboxFormGroup).apply(this, arguments));
  }

  _createClass(CheckboxFormGroup, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          checked = _this$props.checked,
          disabled = _this$props.disabled,
          id = _this$props.id,
          label = _this$props.label,
          onChange = _this$props.onChange,
          required = _this$props.required,
          value = _this$props.value,
          valid = _this$props.valid,
          validationMessage = _this$props.validationMessage;
      var className = 'form-check-input';
      var validationMessageTag = '';
      var attributes = {};
      var labelTag = '';
      var componentId = "CheckboxFormGroup-".concat(id);

      if (validationMessage) {
        className += valid ? ' is-valid' : ' is-invalid';
        validationMessageTag = _react.default.createElement("div", {
          className: valid ? 'valid-feedback' : 'invalid-feedback'
        }, validationMessage);
      }

      if (required) {
        attributes['required'] = true;
      }

      if (label && required) {
        labelTag = _react.default.createElement("label", {
          id: 'FormGroupLabel-' + componentId,
          className: 'form-check-label',
          htmlFor: id
        }, label, "\xA0", _react.default.createElement("small", {
          className: "text-danger"
        }, "Required"));
      } else if (label && !required) {
        labelTag = _react.default.createElement("label", {
          id: 'FormGroupLabel-' + componentId,
          className: 'form-check-label',
          htmlFor: id
        }, label);
      } else if (!label && required) {
        labelTag = _react.default.createElement("label", {
          id: 'FormGroupLabel-' + componentId,
          className: 'form-check-label',
          htmlFor: id
        }, _react.default.createElement("small", {
          className: "text-danger"
        }, "Required"));
      }

      return _react.default.createElement(_FormGroup.default, {
        id: componentId,
        valid: valid,
        validationMessage: validationMessage
      }, _react.default.createElement("div", {
        className: "form-check"
      }, _react.default.createElement("input", _extends({
        checked: checked,
        className: className,
        disabled: disabled,
        id: "Checkbox-".concat(componentId),
        onChange: onChange,
        type: "checkbox",
        value: value
      }, attributes)), labelTag, validationMessageTag));
    }
  }]);

  return CheckboxFormGroup;
}(_react.default.Component);

exports.default = CheckboxFormGroup;
CheckboxFormGroup.defaultProps = {};
CheckboxFormGroup.propTypes = {
  checked: _propTypes.default.bool.isRequired,
  disabled: _propTypes.default.bool,
  id: _propTypes.default.string.isRequired,
  label: _propTypes.default.string,
  onChange: _propTypes.default.func.isRequired,
  required: _propTypes.default.bool,
  value: _propTypes.default.string.isRequired,
  valid: _propTypes.default.bool,
  validationMessage: _propTypes.default.string
};