"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _FormControl = _interopRequireDefault(require("../bootstrap/forms/FormControl"));

var _FormGroup = _interopRequireDefault(require("../bootstrap/forms/FormGroup"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var DateRangeFormGroup =
/*#__PURE__*/
function (_React$Component) {
  _inherits(DateRangeFormGroup, _React$Component);

  function DateRangeFormGroup(props) {
    _classCallCheck(this, DateRangeFormGroup);

    return _possibleConstructorReturn(this, _getPrototypeOf(DateRangeFormGroup).call(this, props));
  }

  _createClass(DateRangeFormGroup, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          disabled = _this$props.disabled,
          fromDate = _this$props.fromDate,
          id = _this$props.id,
          label = _this$props.label,
          onChange = _this$props.onChange,
          required = _this$props.required,
          thruDate = _this$props.thruDate,
          valid = _this$props.valid,
          validationMessage = _this$props.validationMessage;
      var validationMessageTag = '';
      var componentId = "DateRangeFormGroup-".concat(id);

      if (validationMessage) {
        validationMessageTag = _react.default.createElement("div", {
          id: "".concat(componentId, "-validationMessage"),
          className: valid ? 'valid-feedback' : 'invalid-feedback'
        }, validationMessage);
      }

      return _react.default.createElement(_FormGroup.default, {
        id: componentId,
        label: label,
        required: required
      }, _react.default.createElement("div", {
        className: "row"
      }, _react.default.createElement("div", {
        className: "col"
      }, _react.default.createElement(_FormControl.default, {
        disabled: disabled,
        id: "".concat(componentId, "-From"),
        onChange: onChange,
        placeholder: 'From Date',
        type: 'datetime-local',
        valid: valid,
        validated: validationMessage ? true : false,
        value: fromDate
      }), validationMessageTag), _react.default.createElement("div", {
        className: "col"
      }, _react.default.createElement(_FormControl.default, {
        disabled: disabled,
        id: "".concat(componentId, "-Thru"),
        onChange: onChange,
        placeholder: 'Thru Date',
        type: 'datetime-local',
        valid: valid,
        validated: validationMessage ? true : false,
        value: thruDate
      }))));
    }
  }]);

  return DateRangeFormGroup;
}(_react.default.Component);

exports.default = DateRangeFormGroup;
DateRangeFormGroup.defaultProps = {};
DateRangeFormGroup.propTypes = {
  disabled: _propTypes.default.bool,
  fromDate: _propTypes.default.node,
  id: _propTypes.default.string.isRequired,
  label: _propTypes.default.string,
  onChange: _propTypes.default.func.isRequired,
  required: _propTypes.default.bool,
  thruDate: _propTypes.default.node,
  valid: _propTypes.default.bool,
  validationMessage: _propTypes.default.string
};