"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactQuill = _interopRequireDefault(require("react-quill"));

var _FormGroup = _interopRequireDefault(require("../bootstrap/forms/FormGroup"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var TextAreaFormGroup =
/*#__PURE__*/
function (_React$Component) {
  _inherits(TextAreaFormGroup, _React$Component);

  function TextAreaFormGroup() {
    var _getPrototypeOf2;

    var _temp, _this;

    _classCallCheck(this, TextAreaFormGroup);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(TextAreaFormGroup)).call.apply(_getPrototypeOf2, [this].concat(args))), _this.onChange = function (value) {
      if (_this.props.onChange) {
        _this.props.onChange({
          target: {
            id: _this.props.id,
            value: value
          }
        });
      }
    }, _temp));
  }

  _createClass(TextAreaFormGroup, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          id = _this$props.id,
          label = _this$props.label,
          required = _this$props.required,
          valid = _this$props.valid,
          validationMessage = _this$props.validationMessage,
          value = _this$props.value;
      var componentId = "TextAreaFormGroup-".concat(id);
      var className = 'form-control';

      if (validationMessage) {
        className += valid ? " is-valid" : " is-invalid";
      }

      return _react.default.createElement(_FormGroup.default, {
        id: componentId,
        label: label,
        required: required,
        valid: valid,
        validationMessage: validationMessage
      }, _react.default.createElement(_reactQuill.default, {
        id: componentId,
        className: className,
        onChange: this.onChange,
        value: value
      }));
    }
  }]);

  return TextAreaFormGroup;
}(_react.default.Component);

exports.default = TextAreaFormGroup;
TextAreaFormGroup.propTypes = {
  disabled: _propTypes.default.bool,
  id: _propTypes.default.string.isRequired,
  label: _propTypes.default.string,
  onChange: _propTypes.default.func.isRequired,
  required: _propTypes.default.bool,
  value: _propTypes.default.string.isRequired,
  valid: _propTypes.default.bool,
  validationMessage: _propTypes.default.string
};