"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _FormControl = _interopRequireDefault(require("../bootstrap/forms/FormControl"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var EditableTextCell =
/*#__PURE__*/
function (_React$Component) {
  _inherits(EditableTextCell, _React$Component);

  function EditableTextCell(props) {
    _classCallCheck(this, EditableTextCell);

    return _possibleConstructorReturn(this, _getPrototypeOf(EditableTextCell).call(this, props));
  }

  _createClass(EditableTextCell, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          cssClass = _this$props.cssClass,
          edit = _this$props.edit,
          id = _this$props.id,
          onChange = _this$props.onChange,
          placeholder = _this$props.placeholder,
          required = _this$props.required,
          value = _this$props.value;
      var input = edit ? _react.default.createElement(_FormControl.default, {
        cssClass: cssClass,
        id: 'EditableCell-' + id,
        onChange: onChange,
        placeholder: placeholder,
        required: required,
        value: value
      }) : _react.default.createElement("span", {
        id: 'EditableCellDisplay-'
      }, value);
      return _react.default.createElement("td", {
        id: 'EditableCell-' + id
      }, input);
    }
  }]);

  return EditableTextCell;
}(_react.default.Component);

exports.default = EditableTextCell;
EditableTextCell.defaultProps = {
  edit: false,
  required: false
};
EditableTextCell.propTypes = {
  cssClass: _propTypes.default.string,
  edit: _propTypes.default.bool,
  id: _propTypes.default.string.isRequired,
  onChange: _propTypes.default.func.isRequired,
  placeholder: _propTypes.default.string,
  required: _propTypes.default.bool,
  value: _propTypes.default.string.isRequired
};